Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class AuthorizationFailureException

    java.lang.Object
      PipelineException
          com.beasys.commerce.ebusiness.payment.AuthorizationFailureException

    public class AuthorizationFailureException

extends PipelineException

Signals that an authorization attempt was made with an invalid credit card. Typically this will result from an invalid credit card number or associated billing address.

Constructor Summary
`AuthorizationFailureException(String namespace, String messageKey)` Constructs a AuthorizationFailureException
`AuthorizationFailureException(String namespace, String messageKey, Exception embeddedException)` Constructs a AuthorizationFailureException
`AuthorizationFailureException(String namespace, String messageKey, Object[] arguments)` Constructs a AuthorizationFailureException
`AuthorizationFailureException(String namespace, String messageKey, Object[] arguments, Exception embeddedException)` Constructs a AuthorizationFailureException
`AuthorizationFailureException(String namespace, String messageKey, Object argument, Exception embeddedException)` Constructs a AuthorizationFailureException

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorizationFailureException

    public AuthorizationFailureException(String namespace,
                                         String messageKey)

  Constructs a AuthorizationFailureException

### AuthorizationFailureException

    public AuthorizationFailureException(String namespace,
                                         String messageKey,
                                         Exception embeddedException)

  Constructs a AuthorizationFailureException

### AuthorizationFailureException

    public AuthorizationFailureException(String namespace,
                                         String messageKey,
                                         Object[] arguments)

  Constructs a AuthorizationFailureException

### AuthorizationFailureException

    public AuthorizationFailureException(String namespace,
                                         String messageKey,
                                         Object argument,
                                         Exception embeddedException)

  Constructs a AuthorizationFailureException

### AuthorizationFailureException

    public AuthorizationFailureException(String namespace,
                                         String messageKey,
                                         Object[] arguments,
                                         Exception embeddedException)

  Constructs a AuthorizationFailureException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved